#ifndef ___FRAME0_H
#define ___FRAME0_H
extern void _frame0();
extern int _CurrentFrame;
extern void FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern int g_TimerTicksCount;

extern void OnHotSpotWidget18Click(tWidget *pWidget);

extern void OnHotSpotWidget19Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget22;
extern void OnCheckBoxWidget22CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget24;
extern void OnCheckBoxWidget24CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCanvasWidget LabelWidget25;
extern tCanvasWidget LabelWidget26;
extern void OnHotSpotWidget23Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget10;
extern void OnCheckBoxWidget10CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget12;
extern void OnCheckBoxWidget12CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCanvasWidget LabelWidget13;
extern tCanvasWidget LabelWidget14;
extern void OnHotSpotWidget16Click(tWidget *pWidget);

extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame25Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame36Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;

extern void InitWidget1();
extern void InitWidget2();
extern void InitWidget3();

extern void FreeWidget1();
extern void FreeWidget2();
extern void FreeWidget3();


extern void _frame1();
extern void _frame2();
extern void _frame3();

#endif
